Subject: Re: bug#15658: 24.1; (wishlist) Easy way to make a file-local variable also permanent-local

From: Phil Sainty <[email-masked]>
Date: Wed, 11 May 2022 16:05:38 +1200

On 2022-05-11 03:14, Lars Ingebrigtsen wrote:
> foo-var is set whenever I change the major mode.  Has the behaviour
> changed here since Emacs 24.1?  (The earliest Emacs I have is Emacs
> 25.1.)

This changed in `normal-mode' in 26.1 for bug #23460, so I'd expect
testing to have been different in 25.1.

The relevant NEWS entry is:

** File local and directory local variables are now initialized each
time the major mode is set, not just when the file is first visited.
These local variables will thus not vanish on setting a major mode.